Subject: [Megaco] Silence Suppression

From: Carl Rutter <[email-masked]>
Date: Fri, 15 Mar 2002 10:27:36 -0500

Question on Silent Suppression,

draft-ietf-avt-rtp-mime-06.txt doesn't specify 
an annexa or annexb parameter for PCMU or PCMA
so if we wanted to do PCMU or PCMA with silent suppression
what would we specify?

Thx,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, February 12, 2002 3:00 AM
To: Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] Silence Suppression

You're right: I was careless.  As a matter of fact, silence suppression is
an attribute of the payload type.  draft-ietf-avt-profile-new-xx.txt
indicates that you include payload type-specific parameters in an a=fmtp:
line.  You get such parameters from the payload specification document.  The
MIME type registration document draft-ietf-avt-rtp-mime-xx.txt summarizes
the parameters available for the payloads it registers.  To get silence
suppression for the payload type G729D, for instance, you include the annexb
parameter with a value "yes" (which is actually the default).  Thus Local or
Remote looks like:

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G729D
a=fmtp:96 annexb=yes
}}}

-----Original Message-----
From: Shambhu Dayal Rai [mailto:[email-masked]]
Sent: Monday, February 11, 2002 5:22 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Safa Mohammad'; [email-masked]
Subject: Re: [Megaco] Silence Suppression

I guess Safa is asking about Silence suppression not echo cancelation.

I feel silence suppression can be specified in the SDP of Local or Remote
descriptors something like..

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=SilenceSupp:on
}}}

-Shambhu

> Tom-PT Taylor wrote:
> 
> As per Annex E.13, you set the property in the LocalControl descriptor of
the audio stream involved:
> 
>       ...Media={Stream=1{LocalControl={...,tdmc/ec=on,...
> 
> -----Original Message-----
> From: Safa Mohammad [mailto:[email-masked]]
> Sent: Saturday, February 09, 2002 12:28 AM
> To: [email-masked]
> Subject: [Megaco] Silence Suppression
> 
> Hi,
> 
> How to specify SS when using ABNF encoding?
> 
> Thanks,
> 
> Safa
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

-- 
-------------------------------------------------------------------
Shambhu Dayal Rai                              [email-masked] 
Infosys - India SQA Team              91-80-8520362 Ext. : 6561
-------------------------------------------------------------------

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 15 Mar 2002 10:32:00 -0500

I'm starting to think that the answer may be to use the a=silenceSupp
attribute defined in RFC 3108, section 5.6.3.2.

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Friday, March 15, 2002 10:28 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: Silence Suppression

Thx,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, February 12, 2002 3:00 AM
To: Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G729D
a=fmtp:96 annexb=yes
}}}

-----Original Message-----
From: Shambhu Dayal Rai [mailto:[email-masked]]
Sent: Monday, February 11, 2002 5:22 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Safa Mohammad'; [email-masked]
Subject: Re: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=SilenceSupp:on
}}}

-Shambhu

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 15 Mar 2002 10:32:00 -0500

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Friday, March 15, 2002 10:28 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: Silence Suppression

Thx,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, February 12, 2002 3:00 AM
To: Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G729D
a=fmtp:96 annexb=yes
}}}

-----Original Message-----
From: Shambhu Dayal Rai [mailto:[email-masked]]
Sent: Monday, February 11, 2002 5:22 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Safa Mohammad'; [email-masked]
Subject: Re: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=SilenceSupp:on
}}}

-Shambhu

---

From: Carl Rutter <[email-masked]>
Date: Fri, 15 Mar 2002 10:51:27 -0500

This is actually much more complete than the on/off of the annexa.
 
  Also the "ecan" attribute for echo cancelation is of interest to us.
 
  Is there an issue using these since they are actually under RFC3108
  and are ATM and not VOIP specific?

 Carl

-----Original Message----- 
From: Carl Rutter [ mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: Friday, March 15, 2002 10:28 AM 
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: Silence Suppression 

Thx, 
Carl 

-----Original Message----- 
From: Tom-PT Taylor [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Tuesday, February 12, 2002 3:00 AM 
To: Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: RE: [Megaco] Silence Suppression 

Remote looks like: 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 96 
a=rtmap:96 G729D 
a=fmtp:96 annexb=yes 
}}} 

-----Original Message----- 
From: Shambhu Dayal Rai [ mailto:[email-masked] <mailto:[email-masked]>
] 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 
a=SilenceSupp:on 
}}} 

-Shambhu 

the audio stream involved: 
> From: Safa Mohammad [ mailto:[email-masked]
<mailto:[email-masked]> ] 
> How to specify SS when using ABNF encoding? 
<https://www1.ietf.org/mailman/listinfo/megaco>  

_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
<https://www1.ietf.org/mailman/listinfo/megaco>  

_______________________________________________ 
Megaco mailing list 
[email-masked] 
https://www1.ietf.org/mailman/listinfo/megaco
<https://www1.ietf.org/mailman/listinfo/megaco>

---

From: Carl Rutter <[email-masked]>
Date: Fri, 15 Mar 2002 10:51:27 -0500

Carl

-----Original Message----- 
From: Carl Rutter [ mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: Friday, March 15, 2002 10:28 AM 
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: Silence Suppression 

Thx, 
Carl 

-----Original Message----- 

Remote looks like: 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 96 
a=rtmap:96 G729D 
a=fmtp:96 annexb=yes 
}}} 

-----Original Message----- 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 
a=SilenceSupp:on 
}}} 

-Shambhu

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Fri, 15 Mar 2002 11:02:05 -0500

It's a good question, to which I don't have the answer at the moment.  I do
know that I have seen occasional mention of various attributes lifted from
this document and applied in other contexts.  If I have time, I'll review
the situation and consider whether documentation has to be issued to
standardize the use of the attributes over IP.

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Friday, March 15, 2002 10:51 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; Carl Rutter; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: Silence Suppression

 

 Carl

-----Original Message----- 
From: Tom-PT Taylor [mailto:[email-masked]] 
Sent: Tuesday, February 12, 2002 3:00 AM 
To: Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: RE: [Megaco] Silence Suppression 

Remote looks like: 
Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 96 
a=rtmap:96 G729D 
a=fmtp:96 annexb=yes 
}}}

---

From: "David Barr"<[email-masked]>
Date: Fri, 15 Mar 2002 16:04:58 -0000

Another possibility is to use payload 13 as defined in
draft-ietf-avt-rtp-cn-05.  E.g.:

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0 13
}}}

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Friday, March 15, 2002 10:28 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: Silence Suppression

Thx,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, February 12, 2002 3:00 AM
To: Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G729D
a=fmtp:96 annexb=yes
}}}

-----Original Message-----
From: Shambhu Dayal Rai [mailto:[email-masked]]
Sent: Monday, February 11, 2002 5:22 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Safa Mohammad'; [email-masked]
Subject: Re: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=SilenceSupp:on
}}}

-Shambhu

---

From: "David Barr"<[email-masked]>
Date: Fri, 15 Mar 2002 16:04:58 -0000

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0 13
}}}

-----Original Message-----
From: Carl Rutter [mailto:[email-masked]]
Sent: Friday, March 15, 2002 10:28 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: Silence Suppression

Thx,
Carl

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Tuesday, February 12, 2002 3:00 AM
To: Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 96
a=rtmap:96 G729D
a=fmtp:96 annexb=yes
}}}

-----Original Message-----
From: Shambhu Dayal Rai [mailto:[email-masked]]
Sent: Monday, February 11, 2002 5:22 AM
To: Taylor, Tom-PT [CAR:B800:EXCH]
Cc: 'Safa Mohammad'; [email-masked]
Subject: Re: [Megaco] Silence Suppression

Media={Stream=1{ Local {
v=0
c=IN IP4 $
m=audio $ RTP/AVP 0
a=SilenceSupp:on
}}}

-Shambhu

---

From: Carl Rutter <[email-masked]>
Date: Fri, 15 Mar 2002 11:16:30 -0500

Thx,
 
That would do.
I still kind of liked
the silenceSupp attribute because it
is more flexible.
 
Carl

-----Original Message-----
From: David Barr [mailto:[email-masked]]
Sent: Friday, March 15, 2002 11:05 AM
To: Tom-PT Taylor; 'Carl Rutter'; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] RE: Silence Suppression

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 13 
}}} 

-----Original Message----- 
From: Carl Rutter [ mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: Friday, March 15, 2002 10:28 AM 
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: Silence Suppression 

Thx, 
Carl 

-----Original Message----- 

Remote looks like: 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 96 
a=rtmap:96 G729D 
a=fmtp:96 annexb=yes 
}}} 

-----Original Message----- 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 
a=SilenceSupp:on 
}}} 

-Shambhu

---

From: Carl Rutter <[email-masked]>
Date: Fri, 15 Mar 2002 11:16:30 -0500

Thx,
 
That would do.
I still kind of liked
 
Carl

-----Original Message-----
From: David Barr [mailto:[email-masked]]
Sent: Friday, March 15, 2002 11:05 AM
To: Tom-PT Taylor; 'Carl Rutter'; Shambhu Dayal Rai
Cc: 'Safa Mohammad'; [email-masked]
Subject: RE: [Megaco] RE: Silence Suppression

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 13 
}}} 

-----Original Message----- 
From: Carl Rutter [ mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: Friday, March 15, 2002 10:28 AM 
To: Taylor, Tom-PT [CAR:B800:EXCH]; Shambhu Dayal Rai 
Cc: 'Safa Mohammad'; [email-masked] 
Subject: Silence Suppression 

Thx, 
Carl 

-----Original Message----- 

Remote looks like: 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 96 
a=rtmap:96 G729D 
a=fmtp:96 annexb=yes 
}}} 

-----Original Message----- 

Media={Stream=1{ Local { 
v=0 
c=IN IP4 $ 
m=audio $ RTP/AVP 0 
a=SilenceSupp:on 
}}} 

-Shambhu